namespace elm { 
inline ::efl::eolian::return_traits<Elm_Actionslider_Pos>::type Actionslider::indicator_pos_get() const
{
   Elm_Actionslider_Pos __return_value =  ::elm_obj_actionslider_indicator_pos_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Actionslider_Pos>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Actionslider::indicator_pos_set( ::efl::eolian::in_traits<Elm_Actionslider_Pos>::type pos) const
{
    ::elm_obj_actionslider_indicator_pos_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Actionslider_Pos,  ::efl::eolian::in_traits<Elm_Actionslider_Pos>::type>(pos));
}
inline ::efl::eolian::return_traits<Elm_Actionslider_Pos>::type Actionslider::magnet_pos_get() const
{
   Elm_Actionslider_Pos __return_value =  ::elm_obj_actionslider_magnet_pos_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Actionslider_Pos>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Actionslider::magnet_pos_set( ::efl::eolian::in_traits<Elm_Actionslider_Pos>::type pos) const
{
    ::elm_obj_actionslider_magnet_pos_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Actionslider_Pos,  ::efl::eolian::in_traits<Elm_Actionslider_Pos>::type>(pos));
}
inline ::efl::eolian::return_traits<Elm_Actionslider_Pos>::type Actionslider::enabled_pos_get() const
{
   Elm_Actionslider_Pos __return_value =  ::elm_obj_actionslider_enabled_pos_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Actionslider_Pos>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Actionslider::enabled_pos_set( ::efl::eolian::in_traits<Elm_Actionslider_Pos>::type pos) const
{
    ::elm_obj_actionslider_enabled_pos_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Actionslider_Pos,  ::efl::eolian::in_traits<Elm_Actionslider_Pos>::type>(pos));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Actionslider::selected_label_get() const
{
   const char * __return_value =  ::elm_obj_actionslider_selected_label_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
} 
namespace eo_cxx {
namespace elm { 
inline ::efl::eolian::return_traits<Elm_Actionslider_Pos>::type Actionslider::indicator_pos_get() const
{
   Elm_Actionslider_Pos __return_value =  ::elm_obj_actionslider_indicator_pos_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Actionslider_Pos>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Actionslider::indicator_pos_set( ::efl::eolian::in_traits<Elm_Actionslider_Pos>::type pos) const
{
    ::elm_obj_actionslider_indicator_pos_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Actionslider_Pos,  ::efl::eolian::in_traits<Elm_Actionslider_Pos>::type>(pos));
}
inline ::efl::eolian::return_traits<Elm_Actionslider_Pos>::type Actionslider::magnet_pos_get() const
{
   Elm_Actionslider_Pos __return_value =  ::elm_obj_actionslider_magnet_pos_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Actionslider_Pos>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Actionslider::magnet_pos_set( ::efl::eolian::in_traits<Elm_Actionslider_Pos>::type pos) const
{
    ::elm_obj_actionslider_magnet_pos_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Actionslider_Pos,  ::efl::eolian::in_traits<Elm_Actionslider_Pos>::type>(pos));
}
inline ::efl::eolian::return_traits<Elm_Actionslider_Pos>::type Actionslider::enabled_pos_get() const
{
   Elm_Actionslider_Pos __return_value =  ::elm_obj_actionslider_enabled_pos_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Actionslider_Pos>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Actionslider::enabled_pos_set( ::efl::eolian::in_traits<Elm_Actionslider_Pos>::type pos) const
{
    ::elm_obj_actionslider_enabled_pos_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Actionslider_Pos,  ::efl::eolian::in_traits<Elm_Actionslider_Pos>::type>(pos));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Actionslider::selected_label_get() const
{
   const char * __return_value =  ::elm_obj_actionslider_selected_label_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline elm::Actionslider::operator ::elm::Actionslider() const { return *static_cast< ::elm::Actionslider const*>(static_cast<void const*>(this)); }
inline elm::Actionslider::operator ::elm::Actionslider&() { return *static_cast< ::elm::Actionslider*>(static_cast<void*>(this)); }
inline elm::Actionslider::operator ::elm::Actionslider const&() const { return *static_cast< ::elm::Actionslider const*>(static_cast<void const*>(this)); }
} }

